{ ... }: {

  virtualisation = {
    docker.enable = false;
    podman = {
      enable = true;
      dockerSocket.enable = true;
      dockerCompat = true;
      defaultNetwork.settings = {
        dns_enabled = true;
        ipv6_enabled = true;
        subnets = [{ gateway = "10.88.0.1"; subnet = "10.88.0.0/16"; } { gateway = "100.69.0.1"; subnet = "100.69.0.0/16"; }];
      };
    };
  };

  networking.firewall = {
    interfaces.podman0.allowedUDPPorts = [ 53 ];
    trustedInterfaces = [ "podman0" ];
  };
}
